Subject: Re: Chinese Z-9G (Helicopter)
From: "ghgh" <sbnsnan@dhhdjhds>
To: "Charles Leung" <[email-masked]>
Date: Wed, 25 Sep 2002 18:47:30 -0400

----- Original Message ----- 
  From: Charles Leung 
  To: [email-masked] 
  Sent: Sunday, August 18, 2002 2:16 PM
  Subject: Chinese Z-9G (Helicopter)

  Dear Steve,

  I am Charles Leung from Hong Kong. Attached please find my recently built (Aug '02) Chinese Z-9G model at 1/48 scale from Trumpeter. The Z-9G was converted from the licensed French SA365N.

  The overall model is good and accurate. However the instruction was with minor mistakes such as colour paint advised, and also some parts such as front antenna was incorrectly stated. (Fortunately there are two choices, and the other longer antenna parts should be the correct one) 
   
  To make it looks more real, I did some modifications. That inlcludes scatch built the windscreen wiper; the brake hose for the landing gears; added safety belt to all seats ...etc. These were no provided in the kit.

  I am satisfied with the model although the attached pictures (not professional) had down tone the colour as compared with the real model. Thank you.

  Best regards,

  Charles Leung